Disable voltage override causing CFAM error
During investigation of openbmc/openbmc#2191 it was determined
that the change done in openbmc/openbmc#1958 was causing
the CFAM operations to the second processor to fail. Disable
this voltage override until root cause of the CFAM fail
is determined.
Resolves openbmc/openbmc#2191
Change-Id: I1e7f236bcbfd7624321372397ecf05716ac1a392
Signed-off-by: Andrew Geissler <andrewg@us.ibm.com>
diff --git a/meta-openbmc-machines/meta-openpower/meta-ibm/meta-witherspoon/recipes-phosphor/chassis/vcs-pre-post/vcs_on.sh b/meta-openbmc-machines/meta-openpower/meta-ibm/meta-witherspoon/recipes-phosphor/chassis/vcs-pre-post/vcs_on.sh
index 3713662..5fbd81d 100644
--- a/meta-openbmc-machines/meta-openpower/meta-ibm/meta-witherspoon/recipes-phosphor/chassis/vcs-pre-post/vcs_on.sh
+++ b/meta-openbmc-machines/meta-openpower/meta-ibm/meta-witherspoon/recipes-phosphor/chassis/vcs-pre-post/vcs_on.sh
@@ -10,36 +10,38 @@
i2cset -y 5 0x70 0x02 0x1A b #respond to OPERATION
i2cset -y 5 0x70 0x00 0x00 b
+# This causes CFAM operations to second processor to fail
+# TODO openbmc/openbmc#2204
+
# unbind ucd driver to permit i2cset
-ucd_retries=5
-ucd=
+#ucd_retries=5
+#ucd=
-ucdpath="/sys/bus/i2c/drivers/ucd9000"
-if [ -e $ucdpath ]
-then
- ucd=`ls -1 $ucdpath | grep 64`
- if [ -n "$ucd" ]
- then
- echo $ucd > $ucdpath/unbind
- fi
-fi
-
+#ucdpath="/sys/bus/i2c/drivers/ucd9000"
+#if [ -e $ucdpath ]
+#then
+# ucd=`ls -1 $ucdpath | grep 64`
+# if [ -n "$ucd" ]
+# then
+# echo $ucd > $ucdpath/unbind
+# fi
+#fi
# re-enable VCS in system PGOOD
-sleep 1
+#sleep 1
#SYSTEM_RESET_CONFIG
-i2cset -y 11 0x64 0xD2 0x09 0xFF 0xFF 0x27 0x0A 0x00 0x06 0x00 0x00 0x02 i
+#i2cset -y 11 0x64 0xD2 0x09 0xFF 0xFF 0x27 0x0A 0x00 0x06 0x00 0x00 0x02 i
# re-bind ucd driver only if we unbound it (i.e. ucd has been set with a value)
-if [ -e $ucdpath -a -n "$ucd" ]; then
- j=0
- until [ $j -ge $ucd_retries ] || [ -e $ucdpath/$ucd ]; do
- j=$((j+1))
- echo $ucd > $ucdpath/bind || ret=$?
- if [ $j -gt 1 ]; then
- echo "rebinding UCD driver. Retry number $j"
- sleep 1
- fi
- done
- if [ ! -e $ucdpath/$ucd ]; then exit $ret; fi
-fi
+#if [ -e $ucdpath -a -n "$ucd" ]; then
+# j=0
+# until [ $j -ge $ucd_retries ] || [ -e $ucdpath/$ucd ]; do
+# j=$((j+1))
+# echo $ucd > $ucdpath/bind || ret=$?
+# if [ $j -gt 1 ]; then
+# echo "rebinding UCD driver. Retry number $j"
+# sleep 1
+# fi
+# done
+# if [ ! -e $ucdpath/$ucd ]; then exit $ret; fi
+#fi